LibreOffice LibreOffice 26.2 SDK API Reference

List of all members
DataFormatTranslator Service Referencepublished

Different platforms use different types to describe data formats available during data exchange operations like clipboard or drag&drop. More...

`import"DataFormatTranslator.idl";`

Inheritance diagram for DataFormatTranslator:

## Additional Inherited Members
Public Member Functions inherited from XDataFormatTranslator
any | getSystemDataTypeFromDataFlavor ([in] DataFlavor aDataFlavor)
| Converts a DataFlavor to system dependent data type. More...
DataFlavor | getDataFlavorFromSystemDataType ([in] any aSysDataType)
| Converts a system dependent data type to a DataFlavor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Different platforms use different types to describe data formats available during data exchange operations like clipboard or drag&drop.

Implementations of this service do convert system dependent data types to a DataFlavor and vice versa.

See also
  com::sun::star::datatransfer::XDataFormatTranslator
  com::sun::star::datatransfer::DataFlavor

Converts a DataFlavor to system data types and vice versa.

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/DataFormatTranslator.idl